--[[
	Author: Darcey.Lloyd@gmail.com

	USEFUL TO GET FRAME NAME IN GAME CHAT:
	/run print(GetMouseFocus():GetName() .. "\n")
--]]



-- Addon Global Variables (shared between files but not addons). addon var name can be renamed
local AddOnName, addon = ...;
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #










-- onUpdateHandler
addon.onUpdateHandler = function()
	-- Only run this when init has been completed
	if (addon.initComplete == false) then
		return
	end

	-- Check if it's time to update
	addon.time.now = GetTime();
	
	local timeSinceLastUpdate = addon.time.now - addon.time.prev;

    if (timeSinceLastUpdate >= DCoordsDB["UpdateFrequency"]) then
		-- DTools.log("addon.onUpdateHandler(): UPDATE:" .. addon.time.now,"00CC00")
		addon.coords = addon.getCoords(DCoordsDB["CoordinatesAccuracy"]);

		addon.updateMainBarLabelText();
		addon.updateWorldMapLabelText();

        addon.time.prev = addon.time.now;
    end
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

